--- old/usr/src/tools/cscope-fast/invlib.c	Mon Aug 27 12:18:37 2012
+++ new/usr/src/tools/cscope-fast/invlib.c	Mon Aug 27 12:18:35 2012
@@ -28,8 +28,6 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <ctype.h>
 #include <stdio.h>
 #include <sys/types.h>
@@ -948,7 +946,7 @@
 }
 
 POSTING *
-boolfile(INVCONTROL *invcntl, long *num, int bool)
+boolfile(INVCONTROL *invcntl, long *num, int op)
 {
 	ENTRY	*entryptr;
 	FILE	*file;
@@ -965,7 +963,7 @@
 	ptr2 = ((unsigned long *)ptr) +
 	    (entryptr->size + (sizeof (long) - 1)) / sizeof (long);
 	*num = entryptr->post;
-	switch (bool) {
+	switch (op) {
 	case OR:
 	case NOT:
 		if (*num == 0) {
@@ -975,7 +973,7 @@
 	}
 	/* make room for the new set */
 	u = 0;
-	switch (bool) {
+	switch (op) {
 	case AND:
 	case NOT:
 		newsetp = set1p = item;
@@ -1018,7 +1016,7 @@
 	(void) fseek(file, (long)*ptr2, SEEK_SET);
 	read_next_posting(invcntl, &posting);
 	newsetc = 0;
-	switch (bool) {
+	switch (op) {
 	case OR:
 		/* while something in both sets */
 		set1p = item;
--- old/usr/src/tools/cscope-fast/invlib.h	Mon Aug 27 12:18:44 2012
+++ new/usr/src/tools/cscope-fast/invlib.h	Mon Aug 27 12:18:42 2012
@@ -28,7 +28,8 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
+#ifndef	INVLIB_H
+#define	INVLIB_H
 
 /* inverted index definitions */
 
@@ -88,7 +89,7 @@
 extern	int	nsrcoffset;	/* number of file name database offsets */
 
 extern void	boolclear(void);
-extern POSTING	*boolfile(INVCONTROL *invcntl, long *num, int bool);
+extern POSTING	*boolfile(INVCONTROL *invcntl, long *num, int op);
 extern void	invclose(INVCONTROL *invcntl);
 extern long	invfind(INVCONTROL *invcntl, char *searchterm);
 extern int	invforward(INVCONTROL *invcntl);
@@ -96,3 +97,5 @@
 		    int stat);
 extern int	invterm(INVCONTROL *invcntl, char *term);
 extern long	invmake(char *invname, char *invpost, FILE *infile);
+
+#endif	/* INVLIB_H */
